> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post email settings



## OpenAPI

````yaml post /admin/email/settings
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/email/settings:
    post:
      tags:
        - Email Settings
      summary: Post email settings
      operationId: 5d453c6115af5a558276b53bfb213bca
      requestBody:
        description: Client ID, From Address and From Name are required
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                from_address:
                  type: string
                  example: example@example.com
                from_name:
                  type: string
                  example: Example Name
              type: object
      responses:
        '200':
          description: Email settings details
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Email Settings Successfully Saved.
                type: object
        '400':
          description: Error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Error message
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````